在使用 using 等新语法时,在 VisualStudio 2019 会自动判断框架版本,如在 net 45 就不会自动使用最新版本的语法,需要修改项目文件

在使用 C# 8.0 之前,请在官网 下载最新的 VisualStudio 2019 版本

如果在编译时提示

“Using 声明”在 C# 7.3 中不可用。请使用 8.0 或更高的语言版本

error CS8370: 功能“可为 null 的引用类型”在 C# 7.3 中不可用。请使用 8.0 或更高的语言版本。

解决方法是在 csproj 项目文件里面添加下面代码


  <PropertyGroup>
    <LangVersion>preview</LangVersion>
  </PropertyGroup>


如果不知道写在哪,请看 csproj 文件

<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net45</TargetFramework>
    <LangVersion>preview</LangVersion>
  </PropertyGroup>

</Project>


本文会经常更新,请阅读原文: https://blog.lindexi.com/post/dotnet-%E4%BF%AE%E5%A4%8D-C-8.0-%E8%AF%AD%E6%B3%95%E7%BC%96%E8%AF%91%E5%A4%B1%E8%B4%A5.html ,以避免陈旧错误知识的误导,同时有更好的阅读体验。

如果你想持续阅读我的最新博客,请点击 RSS 订阅,推荐使用RSS Stalker订阅博客,或者前往 CSDN 关注我的主页

知识共享许可协议 本作品采用 知识共享署名-非商业性使用-相同方式共享 4.0 国际许可协议 进行许可。欢迎转载、使用、重新发布,但务必保留文章署名林德熙(包含链接: https://blog.lindexi.com ),不得用于商业目的,基于本文修改后的作品务必以相同的许可发布。如有任何疑问,请 与我联系

以下是广告时间

推荐关注 Edi.Wang 的公众号